function ballLoad()
	
	ball = {}
	ball.img = love.graphics.newImage("images/ball.png")
	ball.w = ball.img:getWidth()/2
	ball.h = ball.img:getHeight()/2
	ball.posX = 400
	ball.posY = 250
	ball.acc = 25
	ball.hspeed = 200
	ball.vspeed = 200
	ball.dir = 0
	ball.rot = 0
	ball.wait = 1.5
	ball.sndBounce1 = love.audio.newSource("audio/bounce1.mp3", "static")
	ball.sndBounce2 = love.audio.newSource("audio/bounce2.mp3", "static")
	ball.sndBounce3 = love.audio.newSource("audio/bounce3.mp3", "static")
	ball.sndDestroy = love.audio.newSource("audio/destroy.wav", "static")

end


function ballUpdate(dt)
	
	ball.wait = ball.wait-1*dt

	ball.rot = ball.rot+(ball.vspeed/100)*dt
if (ball.wait<0) then
	ball.posX = ball.posX + ball.hspeed * dt
	ball.posY = ball.posY + ball.vspeed * dt

	if (ball.posY > 480) then
		ball.posY = ball.posY - ball.vspeed*dt
		ball.vspeed = -ball.vspeed

	end

	if (ball.posY < 20) then

		ball.vspeed = math.abs(ball.vspeed)
		ball.posY = ball.posY + ball.vspeed*dt

	end

	if (ball.posX < -50) then

		ball.posX = 400
		ball.posY = 250
		ball.hspeed = -200
		ball.vspeed = 200
		ball.wait = 3
		scoreOpponent = scoreOpponent + 1
		love.audio.play(ball.sndDestroy)

	end

	if (ball.posX > 850) then

		ball.posX = 400
		ball.posY = 250
		ball.hspeed = 200
		ball.vspeed = 200
		ball.wait = 3
		scorePlayer = scorePlayer + 1
		love.audio.play(ball.sndDestroy)

	end
end

end



function ballDraw()

	love.graphics.draw(ball.img,ball.posX,ball.posY,ball.rot,1,1,ball.w,ball.h)

end